package org.omegahat.DataStructures.Matrix;

public interface SVDecomposition
       extends MatrixDecomposition
{
  public Matrix U();
  public SquareMatrix V();

  public double[] D();

  public double[] D(boolean smallAsZero);

  public SquareMatrix DAsMatrix();

  public SquareMatrix DAsMatrix(boolean smallAsZero);

  public int rank();

  public double conditionNumber();
}

